Atualizar um fragmento de modelo

É possível atualizar o texto em um fragmento de modelo usando este endpoint. Observe que há quatro variáveis de modelo reservadas que podem ser usadas aqui: ${code}, ${brand}, ${time-limit} e ${time-limit-unit}.

ChaveDescrição
VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

TEMPLATE_ID

The custom template ID

TEMPLATE_FRAGMENT_ID

The custom template fragment ID

Escreva o código

Adicione o seguinte ao arquivo ` update-template-fragment.sh`:

curl -X PATCH "https://api.nexmo.com/v2/verify/templates/$VERIFY_TEMPLATE_ID/template_fragments/$VERIFY_TEMPLATE_FRAGMENT_ID" \
  -H "Authorization: Bearer $JWT"\
  -H 'Content-Type: application/json' \
  -d $'{
	   "text": "The authentication code for your ${brand} is: ${code}"
  }'

Ver código-fonte completo

Execute seu código

Salve este arquivo no seu computador e execute-o:

sh update-template-fragment.sh

Pré-requisitos

npm install @vonage/server-sdk

Crie um arquivo chamado ` update-template-fragment.js ` e insira o seguinte código:

const { Vonage } = require('@vonage/server-sdk');

const vonage = new Vonage ({
  applicationId: VONAGE_APPLICATION_ID,
  privateKey: VONAGE_APPLICATION_PRIVATE_KEY_PATH,
});

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao arquivo ` update-template-fragment.js`:

vonage.verify2.getTemplateFragment(
  VERIFY_TEMPLATE_ID,
  {
    templateFragmentId: VERIFY_TEMPLATE_FRAGMENT_ID,
    text: 'The authentication code for your ${brand} is: ${code}',
  },
)
  .then((fragment) => console.log(fragment))
  .catch((error) => console.error(error));

Ver código-fonte completo

Execute seu código

Salve este arquivo no seu computador e execute-o:

node update-template-fragment.js

Pré-requisitos

Adicione o seguinte ao arquivo ` build.gradle`:

implementation 'com.vonage:server-sdk-kotlin:2.1.1'

Crie um arquivo chamado ` UpdateTemplateFragment ` e adicione o código a seguir ao método ` main `:

val client = Vonage {
    applicationId(VONAGE_APPLICATION_ID)
    privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
}

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao método ` main ` do arquivo ` UpdateTemplateFragment `:

val existingTemplate = client.verify.template(VERIFY_TEMPLATE_ID)
val existingFragment = existingTemplate.fragment(VERIFY_TEMPLATE_FRAGMENT_ID)
val updatedFragment = existingFragment.update(
    "The authentication code for your \${brand} is: \${code}",
)
println(updatedFragment)

Ver código-fonte completo

Execute seu código

Podemos usar o plugin “ aplicativo ” para o Gradle a fim de simplificar a execução do nosso aplicativo. Atualize seu arquivo ` build.gradle ` com o seguinte:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Execute o seguinte comando ` gradle ` para rodar seu aplicativo, substituindo ` com.vonage.quickstart.kt.verify.templates.fragments ` pelo pacote que contém ` UpdateTemplateFragment`:

gradle run -Pmain=com.vonage.quickstart.kt.verify.templates.fragments.UpdateTemplateFragment

Pré-requisitos

Adicione o seguinte ao arquivo ` build.gradle`:

implementation 'com.vonage:server-sdk:9.3.1'

Crie um arquivo chamado ` UpdateTemplateFragment ` e adicione o código a seguir ao método ` main `:

VonageClient client = VonageClient.builder()
		.applicationId(VONAGE_APPLICATION_ID)
		.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
		.build();

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao método ` main ` do arquivo ` UpdateTemplateFragment `:

var updated = client.getVerify2Client().updateTemplateFragment(
		VERIFY_TEMPLATE_ID, VERIFY_TEMPLATE_FRAGMENT_ID,
		"The authentication code for your ${brand} is: ${code}"
);
System.out.println(updated);

Ver código-fonte completo

Execute seu código

Podemos usar o plugin “ aplicativo ” para o Gradle a fim de simplificar a execução do nosso aplicativo. Atualize seu arquivo ` build.gradle ` com o seguinte:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Execute o seguinte comando ` gradle ` para rodar seu aplicativo, substituindo ` com.vonage.quickstart.verify2.templates ` pelo pacote que contém ` UpdateTemplateFragment`:

gradle run -Pmain=com.vonage.quickstart.verify2.templates.UpdateTemplateFragment

Pré-requisitos

Install-Package Vonage

Crie um arquivo chamado ` UpdateTemplateFragmentRequest.cs ` e insira o seguinte código:

var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_APPLICATION_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao arquivo ` UpdateTemplateFragmentRequest.cs`:

var request = Vonage.VerifyV2.UpdateTemplateFragment.UpdateTemplateFragmentRequest.Build()
    .WithId(TEMPLATE_ID)
    .WithFragmentId(TEMPLATE_FRAGMENT_ID)
    .WithText("The authentication code for your ${brand} is: ${code}")
    .Create();
var response = await client.VerifyV2Client.UpdateTemplateFragmentAsync(request);

Ver código-fonte completo

Pré-requisitos

composer require vonage/client

Crie um arquivo chamado ` create-template-fragment.php ` e insira o seguinte código:

$client = new Vonage\Client(
    new Vonage\Client\Credentials\Keypair(VONAGE_APPLICATION_PRIVATE_KEY_PATH, VONAGE_APPLICATION_ID),
);

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao arquivo ` create-template-fragment.php`:

$createFragmentRequest = new CreateCustomTemplateFragmentRequest(
    'sms',
    'en-us',
    'The authentication code for your ${brand} is: ${code}'
);

Ver código-fonte completo

Execute seu código

Salve este arquivo no seu computador e execute-o:

php create-template-fragment.php

Pré-requisitos

gem install vonage

Crie um arquivo chamado ` update-template-fragment.rb ` e insira o seguinte código:

client = Vonage::Client.new(
  application_id: VONAGE_APPLICATION_ID,
  private_key: File.read(VONAGE_PRIVATE_KEY)
)

Ver código-fonte completo

Escreva o código

Adicione o seguinte ao arquivo ` update-template-fragment.rb`:

client.verify2.template_fragments.update(
  template_id: VERIFY_TEMPLATE_ID,
  template_fragment_id: VERIFY_TEMPLATE_FRAGMENT_ID,
  text: 'The one-time authentication code for your ${brand} is: ${code}'
)

Ver código-fonte completo

Execute seu código

Salve este arquivo no seu computador e execute-o:

ruby update-template-fragment.rb